Bug 854261 - Are there any plans to update to a more recent snapshot of libxkbcommon?
Summary: Are there any plans to update to a more recent snapshot of libxkbcommon?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libxkbcommon
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 852619
TreeView+ depends on / blocked
 
Reported: 2012-09-04 14:03 UTC by Thorsten Leemhuis
Modified: 2012-09-17 19:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-17 19:46:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Thorsten Leemhuis 2012-09-04 14:03:48 UTC
I'm trying to get wayland and weston 0.95 into Rawhide and F18. But the newest weston doesn't compile with the libxkbcommon available in F18 right now:

[...]
make[5]: Entering directory `/home/cttest/weston/weston-0.95.0/src/xwayland'
  CC     xwayland_la-window-manager.lo
  CC     xwayland_la-selection.lo
In file included from xwayland.h:28:0,
                 from selection.c:30:
../compositor.h:193:2: error: unknown type name 'xkb_mod_index_t'In file included from xwayland.h:28:0,
                 from window-manager.c:36:
../compositor.h:193:2: error: unknown type name 'xkb_mod_index_t'
[...]

I compiles fine with a snapshot from yesterday. Do you guys have any plans to update to a more recent snapshot? I can prepare a patch and submit it (or even commit it to rawhide) if you want, but I don't know what else might explode when I do that.

Comment 1 Thorsten Leemhuis 2012-09-11 18:22:10 UTC
I heard somewhere whot is on vacation; is there anyone else from xgl-maint that can help be getting forward to get wayland and weston 0.95 into f18?

ajax?

Comment 2 Thorsten Leemhuis 2012-09-17 19:46:27 UTC
talked to ajax on irc and decided to update to todays snapshot on my own. Yell at me if you didn't like that; will commit and build this update for f18 in a few days and submit it as testing update together with fresh versions of cairo, wayland and weston (at least that's the plan right now)


Note You need to log in before you can comment on or make changes to this bug.